Create Store Reactivation
This endpoint allows you to reactivate a merchant’s suspended store immediately. Once a merchant’s store is reactivated, billing is resumed for the merchant’s store subscription.
Authentication
X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account.
To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired):
```http
POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Secret: {client_secret}
{
"duration": 900
}
```
Response:
```json
{
"access_token": "dlkJcn34...Lkd012",
"expires_at": "2018-04-24T16:15:26.509045122Z”
}
```
After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests:
```http
GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Token: {oauth_token}
```
Response:
```json
{
"data": {
"id": "12345678910",
"name": "Test Company",
...
},
"meta": {}
}
```
Path parameters
store_id
Response
Accepted
If a store is able to be reactivated, it will return a 202 Accepted response with it’s status. It can take up to 15 minutes for a store to reactivate and move back to “active” status. Poll the Get Store endpoint to check store status.
Errors
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error